<?php 
    echo wkp_check_and_show_alert_for_dependent_plugin('woocommerce', 'woocommerce.php', 'free');

    if(wkp_check_dependent_plugin('woocommerce', 'woocommerce.php')):
        /**
         * check if single product page 
         * and single page
         */
        if( is_product() ):
            ?>
            <div class="product-thumbs-wrapper">
                <?php
                    $product = wc_get_product( get_the_ID() );
                    $type = $product->get_type();
                    $price = $product->get_price_html();
                ?>
                <div class="product-featured-image">
                    <?php
                        // woocommerce_show_product_thumbnails();
                        echo get_the_post_thumbnail(get_the_ID(), 'full', get_the_title(get_the_ID()));
                        // echo woocommerce_get_product_thumbnail();
                        // echo do_action('woocommerce_product_thumbnails');
                        // echo do_action('woocommerce_show_product_thumbnails');
                    ?>
                </div>
                <div class="product-gallery" style="grid-template-columns: repeat(<?php echo $gallery_column; ?>, 1fr);">
                    <?php woocommerce_show_product_thumbnails(); ?>
                </div>
            </div>
            <?php   
        else:
            echo '<h2 style="border:solid 5px red; padding:30px;">This element only works for WooCommerce Single Product Page</h2>';
        endif;
    endif;
?>